package com.emr.service.recordType;

import com.emr.entity.recordType.Emr_Type;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface EmrTypeService {
    void  addEmrType(Emr_Type emrType,HttpServletRequest request);

    void  updateEmrType(Emr_Type emrType,Integer selectFlagId,HttpServletRequest request);

    void deleteEmrType(Integer id);

    Emr_Type selectByPrimaryKey(Integer id);

    Emr_Type selectFlagExist(HttpServletRequest request);
    /**
     * 根据创建用户查询类别集合,isEffective是否需要查询是否有效，否则传入null,是则非null
     * */

    List<Emr_Type> selectAllByCreater(Integer isEffective, HttpServletRequest request);

    List<Emr_Type> selectAllByCreater2(Integer isEffective, HttpServletRequest request);

    /**
     * 验证该用户创建的类别名称是否存在
     * */
    Emr_Type checkTypeNameByCreater(String typeName,HttpServletRequest request);

    /**
     * 验证该用户创建的类别标识是否存在
     * */
    Emr_Type checkTypeFlagByCreater(String typeFlag,HttpServletRequest request);
}
